Subject: Re: bug#11202: 24.0.93; shell.el: Documentation for M-x shell sometimes shows wrong keybinding for describe-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Oct 2019 07:11:28 +0200

David Röthlisberger <[email-masked]> writes:

> If I invoke 'M-x describe-function shell' when I am already in
> help-mode, the last sentence reads:
>
>> (Type h in the shell buffer for a list of commands.)
>
> (Normally --if describe-function is invoked from outside of
> help-mode-- it would read "C-h m" instead of "h".)
>
> Patch below.

I've now applied it to Emacs 27.

> Would you like me to provide a similar patch for all
> instances of "\\[describe-mode]" in the lisp directory?

This was apparently not done, but is perhaps best left to a new bug
report, if needed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no